SW-CFG-MIB
52 objects
No module-level DESCRIPTION found.
Imported Objects
| RFC-1212 | OBJECT-TYPE |
| RFC-1215 | TRAP-TYPE |
| RFC1155-SMI | Counter enterprises IpAddress |
| RFC1213-MIB | DisplayString |
| OID | Name | Access | Status | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.629 | Nodenbase | |||
| 1.3.6.1.4.1.629.1 | NodenbSwitchG1 | |||
| 1.3.6.1.4.1.629.1.50 | NodenbSwitchG1Il | |||
| 1.3.6.1.4.1.629.1.50.13 | NodenbSwitchConfig | |||
| 1.3.6.1.4.1.629.1.50.13.5 | TablenbSwMacTable | not-accessible | mandatory | A table that contains Learning Table with fields that does not exsist in dot1dTpFdbTable. |
| 1.3.6.1.4.1.629.1.50.13.5.1 | RownbSwMacEntry | not-accessible | mandatory | Information about a specific MAC address in the nbSwMacTable. |
| 1.3.6.1.4.1.629.1.50.13.5.1.1 | ColumnnbSwMac | read-only | mandatory | MAC address for which the bridge has forwarding and/or filtering information. |
| 1.3.6.1.4.1.629.1.50.13.5.1.2 | ColumnnbSwMacVid | read-only | mandatory | Tag of the entry: the address 'Address recognition' is concatenation of nbSwMac and nbSwMacVid. When ISVP is not implemented or ISVL mode is disabled, this fie… |
| 1.3.6.1.4.1.629.1.50.13.5.1.3 | ColumnnbSwMacVidx | read-write | mandatory | Outbound VLAN tag: if frame 'Address recognition' was resolved with this entry, the forwarding will be maked according the VLAN with this tag. When ISVP is not… |
| 1.3.6.1.4.1.629.1.50.13.5.1.4 | ColumnnbSwMacGetViewIndex | read-only | mandatory | Sequantial index of the entry. |
| 1.3.6.1.4.1.629.1.50.13.5.1.5 | ColumnnbSwMacPort | read-write | mandatory | Port of the entry. '0' value indicates that the port number has not been learned but that the bridge does have some forwarding/filtering information about this… |
| 1.3.6.1.4.1.629.1.50.13.5.1.6 | ColumnnbSwMacMode | read-write | mandatory | Status of the entry: Only 'dynamic (1)' entries are aged. Note, that when the bridge is to age some dynamic entry in nbSwRunVlansMode=isvpMode (3) case, it mus… |
| 1.3.6.1.4.1.629.1.50.13.5.1.7 | ColumnnbSwMacTagged | read-write | mandatory | 'Tagged' state of the entry. When ISVP is not implemented or ISVL mode is disabled, this field in SET operations may have any value, GET operation should retur… |
| 1.3.6.1.4.1.629.1.50.13.5.1.8 | ColumnnbSwMacStatus | read-write | mandatory | State of the entry: Only 'valid(1)' entries participate in the forwarding/filtering process. The new entry is created when PDU with nbSwMacStatus=valid(1), nbS… |
| 1.3.6.1.4.1.629.1.50.13.6 | NodenbSwPortCfg | |||
| 1.3.6.1.4.1.629.1.50.13.6.1 | ScalarnbSwPortsMaxNumber | read-only | mandatory | Maximum number of Switching Ports supported by the system. |
| 1.3.6.1.4.1.629.1.50.13.6.2 | ScalarnbSwPortsActualNumber | read-only | mandatory | Actual number of Switching Ports supported by the system. |
| 1.3.6.1.4.1.629.1.50.13.6.3 | TablenbSwPortTable | not-accessible | mandatory | A list of the port configuration entries. The number of entries is given by nbSwPortsMaxNumber. |
| 1.3.6.1.4.1.629.1.50.13.6.3.1 | RownbSwPortEntry | not-accessible | mandatory | Contains the information necessary to configure/describe a port configuration. The number of rows/entries is fixed. A row/entry may not be created or deleted. |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.1 | ColumnnbSwPortIndex | read-only | mandatory | A unique value for each switched port. Its value ranges from 1 to the value of nbSwPortsMaxNumber. There may be holes in the ports sequence. |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.2 | ColumnnbSwPortLanType | read-only | mandatory | The port LAN type that is installed (if any). |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.3 | ColumnnbSwPortIfType | read-only | mandatory | The port Physical Interface type that is installed (if any). |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.5 | ColumnnbSwPortLink | read-only | mandatory | The port Link Integrity status. |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.6 | ColumnnbSwPortFctrl | read-write | mandatory | The port Flow Control mode selection: enable (default) or disable. |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.7 | ColumnnbSwPortDplex | read-write | mandatory | The port Duplex mode selection: halfDuplex ( default) or fullDuplex. |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.8 | ColumnnbSwPortSpeedSelect | read-write | mandatory | The port Speed Selection mode. |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.9 | ColumnnbSwPortSpeed | read-only | mandatory | The Ethernet port Real Speed in MBps. |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.10 | ColumnnbSwPortEnable | read-write | mandatory | Port Enable/Disable mode. |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.11 | ColumnnbSwPortIsvpMode | read-write | mandatory | The Inter-Switch Virtual Mode of this port. nonIsvp(3) means that the port does not support this mode of operation. access(1) means the the port is in Access m… |
| 1.3.6.1.4.1.629.1.50.13.6.3.1.12 | ColumnnbSwPortValid | read-only | mandatory | |
| 1.3.6.1.4.1.629.1.50.13.7 | TablenbSwPortStatTable | not-accessible | mandatory | A list of the ports ethernet statistics entries. The number of entries is given by nbSwPortsMaxNumber. |
| 1.3.6.1.4.1.629.1.50.13.7.1 | RownbSwPortStatEntry | not-accessible | mandatory | Contains the information about the Port Ethernet Statistics. The number of rows/entries is fixed. A row/entry may not be created or deleted. |
| 1.3.6.1.4.1.629.1.50.13.7.1.1 | ColumnnbSwPortStatIndex | read-only | mandatory | A unique value for each switched port. Its value ranges from 1 to the value of nbSwPortsMaxNumber. There may be holes in the ports sequence. |
| 1.3.6.1.4.1.629.1.50.13.7.1.2 | ColumnnbSwPortStatBtRec | read-only | mandatory | The total number of Bytes received on the Port. |
| 1.3.6.1.4.1.629.1.50.13.7.1.3 | ColumnnbSwPortStatFrRec | read-only | mandatory | The total number of Frames received on the Port. |
| 1.3.6.1.4.1.629.1.50.13.7.1.4 | ColumnnbSwPortStatMulticastFrRec | read-only | mandatory | The number of Multicast Frames received on the Port. |
| 1.3.6.1.4.1.629.1.50.13.7.1.5 | ColumnnbSwPortStatBroadcastFrRec | read-only | mandatory | The number of Broadcast Frames received on the Port. |
| 1.3.6.1.4.1.629.1.50.13.7.1.6 | ColumnnbSwPortStatUnicastFrRec | read-only | mandatory | The number of Unicast Frames received on the Port. |
| 1.3.6.1.4.1.629.1.50.13.7.1.7 | ColumnnbSwPortStatBtSent | read-only | mandatory | The total number of Bytes sent from the Port. |
| 1.3.6.1.4.1.629.1.50.13.7.1.8 | ColumnnbSwPortStatFrSent | read-only | mandatory | The total number of Frames sent from the Port. |
| 1.3.6.1.4.1.629.1.50.13.7.1.9 | ColumnnbSwPortStatExcessiveCollis | read-only | mandatory | A number of Frames for which transmission on a particular Port fails due to Excessive Collisions. |
| 1.3.6.1.4.1.629.1.50.13.7.1.10 | ColumnnbSwPortStatSingleCollis | read-only | mandatory | A number of successfully transmitted Frames on a particular Port for which transmission is inhibited by exactly one Collision. |
| 1.3.6.1.4.1.629.1.50.13.7.1.11 | ColumnnbSwPortStatMultipleCollis | read-only | mandatory | A number of successfully transmitted Frames on a particular Port for which transmission is inhibited by more than one Collision. |
| 1.3.6.1.4.1.629.1.50.13.7.1.12 | ColumnnbSwPortStatLateCollis | read-only | mandatory | The number of times that a Collision is detected on a particular Port later than 512 bit-times (51.2 microseconds on a 10 Mbit/s system) into the transmission … |
| 1.3.6.1.4.1.629.1.50.13.7.1.13 | ColumnnbSwPortStatAlignmentErrors | read-only | mandatory | A number of Frames received on a particular Port that are not an integral number of Bytes in length and do not pass the FCS check. |
| 1.3.6.1.4.1.629.1.50.13.7.1.14 | ColumnnbSwPortStatFCSErrors | read-only | mandatory | A number of Frames received on a particular Port that are an integral number of Bytes in length but do not pass the FCS check. |
| 1.3.6.1.4.1.629.1.50.13.7.1.15 | ColumnnbSwPortStatFrDiscarded | read-only | mandatory | The number of inbound Frames which were chosen to be discarded even though no errors had been detected to prevent their being deliverable to a higher-layer pro… |
| 1.3.6.1.4.1.629.1.50.13.7.1.16 | ColumnnbSwPortStatBadLongFr | read-only | mandatory | The total number of Frames received that were longer than 1518 Bytes long and were not an integral number of octets in length or had a bad Frame Check Sequence… |
| 1.3.6.1.4.1.629.1.50.13.7.1.17 | ColumnnbSwPortStatGoodLongFr | read-only | mandatory | The total number of Frames received that were longer than 1518 Bytes long and were otherwise well formed. |
| 1.3.6.1.4.1.629.1.50.13.7.1.18 | ColumnnbSwPortStatGoodShortFr | read-only | mandatory | The total number of Frames received that were less than 64 Bytes long and were otherwise well formed. |
| 1.3.6.1.4.1.629.1.50.13.7.1.19 | ColumnnbSwPortStatValid | read-only | mandatory |
Type Definitions
| Name | Syntax | Status | Description |
|---|---|---|---|
| MacAddress | OCTET STRING(SIZE(6)) |